<?php
namespace Mirasvit\SearchReport\Ui\QuickDataBar\MisspellsDataBlock;

/**
 * Interceptor class for @see \Mirasvit\SearchReport\Ui\QuickDataBar\MisspellsDataBlock
 */
class Interceptor extends \Mirasvit\SearchReport\Ui\QuickDataBar\MisspellsDataBlock implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SearchReport\Ui\QuickDataBar\DataProvider $dataProvider, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($dataProvider, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
